Box2D: b2Island Class Reference

# b2Island Class Reference

This is an internal class. More...

`#include <b2Island.h>`

List of all members.

## Public Member Functions

| b2Island (int32 bodyCapacity, int32 contactCapacity, int32 jointCapacity, b2StackAllocator *allocator, b2ContactListener *listener)
| ~b2Island ()
void | Clear ()
void | Solve (const b2TimeStep &step, const b2Vec2 &gravity, bool allowSleep)
void | Add (b2Body *body)
void | Add (b2Contact *contact)
void | Add (b2Joint *joint)
void | Report (const b2ContactConstraint *constraints)

## Public Attributes

b2StackAllocator * | m_allocator
b2ContactListener * | m_listener
b2Body ** | m_bodies
b2Contact ** | m_contacts
b2Joint ** | m_joints
b2Position * | m_positions
b2Velocity * | m_velocities
int32 | m_bodyCount
int32 | m_jointCount
int32 | m_contactCount
int32 | m_bodyCapacity
int32 | m_contactCapacity
int32 | m_jointCapacity
int32 | m_positionIterationCount

## Detailed Description

This is an internal class.

## Constructor & Destructor Documentation

b2Island::b2Island | ( | int32 | bodyCapacity,
|  | int32 | contactCapacity,
|  | int32 | jointCapacity,
|  | b2StackAllocator * | allocator,
|  | b2ContactListener * | listener |
| ) |  |  |

b2Island::~b2Island | ( |  | ) |

## Member Function Documentation

void b2Island::Add | ( | b2Joint * | joint | ) | `[inline]`

void b2Island::Add | ( | b2Contact * | contact | ) | `[inline]`

void b2Island::Add | ( | b2Body * | body | ) | `[inline]`

void b2Island::Clear | ( |  | ) | `[inline]`

void b2Island::Report | ( | const b2ContactConstraint * | constraints | ) |

void b2Island::Solve | ( | const b2TimeStep & | step,
|  | const b2Vec2 & | gravity,
|  | bool | allowSleep |
| ) |  |  |

## Member Data Documentation

b2StackAllocator* b2Island::m_allocator

b2Body** b2Island::m_bodies

int32 b2Island::m_bodyCapacity

int32 b2Island::m_bodyCount

int32 b2Island::m_contactCapacity

int32 b2Island::m_contactCount

b2Contact** b2Island::m_contacts

int32 b2Island::m_jointCapacity

int32 b2Island::m_jointCount

b2Joint** b2Island::m_joints

b2ContactListener* b2Island::m_listener

int32 b2Island::m_positionIterationCount

b2Position* b2Island::m_positions

b2Velocity* b2Island::m_velocities

The documentation for this class was generated from the following files:

- Box2D/Box2D/Dynamics/b2Island.h
- Box2D/Box2D/Dynamics/b2Island.cpp